Skip to main content
POST
Update the shared permissions of a View with a User

Authorizations

Authorization
string
header
required

OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header

Path Parameters

reportDefinitionId
string
required
view
string
required

Body

Parameters controlling user's permissions over a view

$type
enum<string>
required
Available options:
Derivitec.RiskPortal.Api.Controllers.ReportViewPermissionRequest, Derivitec.RiskPortal.Api
target_user
string | null

Email/Username of the target User

read
boolean

Can the user read the view

write
boolean

Can the user update the view

share
boolean

Can the user Share the view

Response

Success

$type
enum<string>
required
Available options:
Derivitec.Core.Mediators.ReportView.ShareReportViewWithEmailResponse, Derivitec.Core.Mediators
is_success
boolean
error_messages
string[] | null